![](./wiki/graphics/project_icon.png)

# Worblehat

Worblehat er PVVs biblioteksystem.

- [FAQ](./wiki/faq.md)

## Foreløpige planer

### Database

Vi skal ha en PostgreSQL-database, med designet gitt i [`db.txt`](./db.txt). Er designet feil, vennligst rett.

### Informasjonsinnhenting

Tenkte å bruke protokollen Z39.50 mot BIBSYS. Vi skal ha et kommandolinjegrensesnitt for å legge inn bøker. Vi skal kjøpe en strekkodeleser for å blippe inn ISBN-nummeret, og systemet skal slå opp dette i BIBSYS. Resultatene skal returneres, og vi skal velge riktig bok, som så skal bli lagt inn i databasen. Dette bør det være mulig å gjøre både brukervennlig for registrering av en bok, og raskt ved registrering av flere hundre bøker.

### Utspørring

Kommandolinjegrensesnitt, IRC-bot og/eller web-grensesnitt for å spørre databasen. IRC-boten skal ha et logikklag mellom seg selv og databasen, for å slippe så mye logikk internt. Dette laget kan også de andre grensesnittene bruke.

### Ressurser

#### Informasjon om bøkene

**Z39.50**

- https://www.bibsys.no/wps/wcm/connect/BIBSYS+Eng/Main+Menu/Search/Z39.50+Service+Description
- https://www.norzig.no/

**Klassifikasjon**

- https://en.wikipedia.org/wiki/Universal_Decimal_Classification
- https://en.wikipedia.org/wiki/Dewey_Decimal_Classification
