from django.conf.urls.defaults import *
from django.conf import settings
# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^web/', include('web.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),
    (r'^media/(?P<path>.*)$','django.views.static.serve',{'document_root' : settings.MEDIA_ROOT}),
    (r'^bok/$','web.library.views.BookIndex'),
    (r'^bok/(?P<book_identifier>\d+)/$','web.library.views.BookView'),
    (r'^bok/(?P<book_identifier>\S+)/$','web.library.views.BookRedirect'),
    (r'^person/(?P<person_identifier>\S+)/$','web.library.views.PersonView'),
    (r'^person/$','web.library.views.PersonIndex'),
    (r'^kart/$','web.library.views.MapIndex'),
    (r'^kart/(?P<shelf_identifier>\S+)/$','web.library.views.MapView'),
    (r'^kategori/$','web.library.views.CategoryIndex'),
    (r'^kategori/(?P<category_identifier>\S+)/$','web.library.views.CategoryView'),
    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
    (r'^let/','web.library.views.SearchView'),
    (r'^$','web.library.views.IndexView'),
)
