;;;; -*- Mode: Lisp; -*-

(in-package #:cl-user)

(eval-when (:load-toplevel :execute)
  (asdf:operate 'asdf:load-op '#:cffi-grovel))

#+cffi-features:darwin
(push #p"/opt/local/lib/" cffi:*foreign-library-directories*)

(asdf:defsystem #:z3950
  :description "XXX"
  :perform (asdf:load-op :after (op z3950)
			 (pushnew :z3950 *features*))
  :components ((:file "package" :depends-on ("lisp-unit"))
	       (:file "libyaz" :depends-on ("grovel-yaz" "package"))
	       (:file "lisp-unit")
	       (:file "enc-marc-8" :depends-on ("package" "lisp-unit"))
	       (:file "marc" :depends-on ("package"))
	       (cffi-grovel:grovel-file "grovel-yaz" :depends-on ("package")))
  :depends-on (#:cffi #:trivial-garbage #:alexandria))

